package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schcollecterrorlog.AddSchCollectErrorLogDTO;
import com.docus.server.dto.scheduling.management.schcollecterrorlog.DeleteSchCollectErrorLogDTO;
import com.docus.server.dto.scheduling.management.schcollecterrorlog.EditSchCollectErrorLogDTO;
import com.docus.server.vo.scheduling.management.schcollecterrorlog.SchCollectErrorLogVO;

/**
 * 采集器异常日志 服务接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchCollectErrorLogService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchCollectErrorLogVO findById(String id);

    /**
     * 新增
     *
     * @param addSchCollectErrorLogDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddSchCollectErrorLogDTO addSchCollectErrorLogDTO);

    /**
     * 编辑
     *
     * @param editSchCollectErrorLogDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditSchCollectErrorLogDTO editSchCollectErrorLogDTO);

    /**
     * 批量删除
     *
     * @param deleteSchCollectErrorLogDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteSchCollectErrorLogDTO deleteSchCollectErrorLogDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchCollectErrorLogVO> search(SearchDTO searchDTO);
}
