package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchDTO;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schcollectrecordretrylog.AddSchCollectRecordRetryLogDTO;
import com.docus.server.dto.scheduling.management.schcollectrecordretrylog.DeleteSchCollectRecordRetryLogDTO;
import com.docus.server.dto.scheduling.management.schcollectrecordretrylog.EditSchCollectRecordRetryLogDTO;
import com.docus.server.vo.scheduling.management.schcollectrecordretrylog.SchCollectRecordRetryLogVO;

/**
 * 采集记录表重试表 服务接口
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
public interface ISchCollectRecordRetryLogService {
    /**
     * 按主键查询
     *
     * @param id 主键id
     * @return 实体
     */
    SchCollectRecordRetryLogVO findById(String id);

    /**
     * 新增
     *
     * @param addSchCollectRecordRetryLogDTO 新增参数
     * @return 成功或失败
     */
    boolean add(AddSchCollectRecordRetryLogDTO addSchCollectRecordRetryLogDTO);

    /**
     * 编辑
     *
     * @param editSchCollectRecordRetryLogDTO 编辑参数
     * @return 成功或失败
     */
    boolean edit(EditSchCollectRecordRetryLogDTO editSchCollectRecordRetryLogDTO);

    /**
     * 批量删除
     *
     * @param deleteSchCollectRecordRetryLogDTO 删除参数
     * @return 成功或失败
     */
    int delete(DeleteSchCollectRecordRetryLogDTO deleteSchCollectRecordRetryLogDTO);

    /**
     * 关键字搜索
     *
     * @param searchDTO 搜索参数
     * @return 分页列表
     */
    PageResult<SchCollectRecordRetryLogVO> search(SearchDTO searchDTO);
}
