package com.docus.server.ecg.infrastructure.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.constants.DSKeyConstants;
import com.docus.server.sys.common.pojo.dto.UserDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
@DS(DSKeyConstants.ECG_DS_KEY)
public interface EcgUserMapper {

    List<UserDTO> getUserListView(@Param("startDate") Date startDate,
                                  @Param("endDate") Date endDate,
                                  @Param("offset") int offset,
                                  @Param("pageSize") int pageSize);


}
