package com.docus.server.vo.scheduling.management.schsystemparams;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 系统参数表 VO
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Data
@ApiModel(value = "SchSystemParamsVO对象", description = "系统参数表")
public class SchSystemParamsVO implements Serializable {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "父主键")
    private Long parentId;

    @ApiModelProperty(value = "系统参数编号")
    private String paramCode;

    @ApiModelProperty(value = "系统参数名称")
    private String paramName;

    @ApiModelProperty(value = "系统参数说明，如说明参数值得格式要求")
    private String paramInfo;

    @ApiModelProperty(value = "系统参数值")
    private String paramValue;

    @ApiModelProperty(value = "系统参数分组")
    private String paramGroup;

    @ApiModelProperty(value = "排序号，用于分组内排序")
    private Integer sortNo;

    @ApiModelProperty(value = "是否需要加密，0：不需要，1：需要")
    private String needEncrypt;

    @ApiModelProperty(value = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "入库更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


}
