package com.docus.server.collect.web.common.dto;

import lombok.Data;

/**
 * 按需无限采集
 */
@Data
public class CollectionRequireTimeDto {

    /**
     * 开始时间
     */
    private String startTime;
    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 查询条件
     */
    private String where="";
    /**
     * 页数，从0开始
     */
    private int pageNumber=0;
    /**
     * 笔数
     */
    private int pageSize;
}
