package com.docus.server.common;

public class MsgConstants {

    /**
     * 客户端与采集调度器心跳
     */
    public static final String HEARTBEAT_REQUEST = "0".trim();

    /**
     * 客户端上线注册
     */
    public static final String ONLINE_REGISTER = "1".trim();

    /**
     * 客户端下线移除
     */
    public static final String OFFLINE_REMOVE = "2".trim();

    /**
     * 客户端异常注册
     */
    public static final String EXCEPTION_REMOVE = "3".trim();

    /**
     * 终端重启命令
     */
    public static final String TERMINATOR_RESTART = "4".trim();

    /**
     * 采集器重启命令
     */
    public static final String COLLECTOR_RESTART = "5".trim();

    /**
     * 虚拟机重启命令
     */
    public static final String VIRTUAL_RESTART = "6".trim();

    /**
     * 更新采集器文件命令
     */
    public static final String UPDATE_COLLECTOR_FILE = "7".trim();

    /**
     * 更新采集器配置命令
     */
    public static final String UPDATE_COLLECTOR_CONFIG = "8".trim();

    /**
     * 采集调度器下发任务命令
     */
    public static final String SCH_DISTRIBUTE_TASKS = "9".trim();

}
