package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchCollectRecordRetryLog;
import com.docus.server.dto.scheduling.management.schcollectrecordretrylog.AddSchCollectRecordRetryLogDTO;
import com.docus.server.dto.scheduling.management.schcollectrecordretrylog.EditSchCollectRecordRetryLogDTO;
import com.docus.server.dto.scheduling.management.schcollectrecordretrylog.DeleteSchCollectRecordRetryLogDTO;
import com.docus.server.vo.scheduling.management.schcollectrecordretrylog.SchCollectRecordRetryLogVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 采集记录表重试表 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Mapper
public interface SchCollectRecordRetryLogConvert {

    SchCollectRecordRetryLogConvert INSTANCE = Mappers.getMapper(SchCollectRecordRetryLogConvert.class);

    @Mappings({})
    SchCollectRecordRetryLog convertDO(AddSchCollectRecordRetryLogDTO addSchCollectRecordRetryLogDTO);

    @Mappings({})
    SchCollectRecordRetryLog convertDO(EditSchCollectRecordRetryLogDTO editSchCollectRecordRetryLogDTO);

    @Mappings({})
    List<SchCollectRecordRetryLog> convertAddDOList(List<AddSchCollectRecordRetryLogDTO> addSchCollectRecordRetryLogDTO);

    @Mappings({})
    List<SchCollectRecordRetryLog> convertEditDOList(List<EditSchCollectRecordRetryLogDTO> editSchCollectRecordRetryLogDTO);

    @Mappings({})
    SchCollectRecordRetryLogVO convertVO(SchCollectRecordRetryLog schCollectRecordRetryLog);

    @Mappings({})
    List<SchCollectRecordRetryLogVO> convertVO(List<SchCollectRecordRetryLog> schCollectRecordRetryLogList);

    @Mappings({})
    PageResult<SchCollectRecordRetryLogVO> convertVO(PageResult<SchCollectRecordRetryLog> pageResult);
}

