package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.SchCollectorVersionFile;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.AddSchCollectorVersionFileDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.EditSchCollectorVersionFileDTO;
import com.docus.server.dto.scheduling.management.schcollectorversionfile.DeleteSchCollectorVersionFileDTO;
import com.docus.server.vo.scheduling.management.schcollectorversionfile.SchCollectorVersionFileVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 采集器版本列表更新包管理 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Mapper
public interface SchCollectorVersionFileConvert {

    SchCollectorVersionFileConvert INSTANCE = Mappers.getMapper(SchCollectorVersionFileConvert.class);

    @Mappings({})
    SchCollectorVersionFile convertDO(AddSchCollectorVersionFileDTO addSchCollectorVersionFileDTO);

    @Mappings({})
    SchCollectorVersionFile convertDO(EditSchCollectorVersionFileDTO editSchCollectorVersionFileDTO);

    @Mappings({})
    List<SchCollectorVersionFile> convertAddDOList(List<AddSchCollectorVersionFileDTO> addSchCollectorVersionFileDTO);

    @Mappings({})
    List<SchCollectorVersionFile> convertEditDOList(List<EditSchCollectorVersionFileDTO> editSchCollectorVersionFileDTO);

    @Mappings({})
    SchCollectorVersionFileVO convertVO(SchCollectorVersionFile schCollectorVersionFile);

    @Mappings({})
    List<SchCollectorVersionFileVO> convertVO(List<SchCollectorVersionFile> schCollectorVersionFileList);

    @Mappings({})
    PageResult<SchCollectorVersionFileVO> convertVO(PageResult<SchCollectorVersionFile> pageResult);
}

