package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schvirtuallog.AddSchVirtualLogDTO;
import com.docus.server.dto.scheduling.management.schvirtuallog.EditSchVirtualLogDTO;
import com.docus.server.entity.scheduling.management.SchVirtualLog;
import com.docus.server.vo.scheduling.management.schvirtuallog.SchVirtualLogVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 虚拟机使用情况 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Mapper
public interface SchVirtualLogConvert {

    SchVirtualLogConvert INSTANCE = Mappers.getMapper(SchVirtualLogConvert.class);

    @Mappings({})
    SchVirtualLog convertDO(AddSchVirtualLogDTO addSchVirtualLogDTO);

    @Mappings({})
    SchVirtualLog convertDO(EditSchVirtualLogDTO editSchVirtualLogDTO);

    @Mappings({})
    List<SchVirtualLog> convertAddDOList(List<AddSchVirtualLogDTO> addSchVirtualLogDTO);

    @Mappings({})
    List<SchVirtualLog> convertEditDOList(List<EditSchVirtualLogDTO> editSchVirtualLogDTO);

    @Mappings({})
    SchVirtualLogVO convertVO(SchVirtualLog schVirtualLog);

    @Mappings({})
    List<SchVirtualLogVO> convertVO(List<SchVirtualLog> schVirtualLogList);

    @Mappings({})
    PageResult<SchVirtualLogVO> convertVO(PageResult<SchVirtualLog> pageResult);
}

