package com.docus.server.archivefile.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.archivefile.infrastructure.dao.ITaskConfigRetryLogDao;
import com.docus.server.archivefile.service.ITaskConfigRetryLogService;
import com.docus.server.entity.TaskConfigRetryLog;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class TaskConfigRetryLogServiceImpl implements ITaskConfigRetryLogService {
    @Resource
    private ITaskConfigRetryLogDao taskConfigRetryLogDao;

    @Override
    public TaskConfigRetryLog findById(String id) {
        return taskConfigRetryLogDao.findById(id);
    }

    @Override
    public PageResult<TaskConfigRetryLog> search(SearchRequest searchRequest) {
        return taskConfigRetryLogDao.search(searchRequest);
    }
}
