package com.docus.server.vte.infrastructure.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.docus.server.constants.DSKeyConstants;
import com.docus.server.record.common.pojo.dto.TBasicDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
@DS(DSKeyConstants.VTE_DS_KEY)
public interface VteTBasicMapper {

    List<TBasicDTO> getTBasicListView(@Param("startDate") Date startDate,
                                      @Param("endDate") Date endDate,
                                      @Param("offset") int offset,
                                      @Param("pageSize") int pageSize);


}
