package com.docus.server.dto.scheduling.management.schvirtuallog;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
*
* 虚拟机使用情况 AddDTO
*
* @author AutoGenerator
* @since 2023-07-15
*/
@Data
@ApiModel(value="AddSchVirtualLogDTO对象", description="虚拟机使用情况")
public class AddSchVirtualLogDTO implements Serializable {

    @ApiModelProperty(value = "终端id")
    private Long id;

    @ApiModelProperty(value = "CPU使用率")
    private String cpuUtilization;

    @ApiModelProperty(value = "物理内存总量（单位：MB）")
    private Double memoryTotal;

    @ApiModelProperty(value = "物理内存余量（单位：MB）")
    private Double memoryAllowance;

    @ApiModelProperty(value = "当前网络上行速率(KBPS)")
    private String uplinkRate;

    @ApiModelProperty(value = "当前网络下行速率")
    private String descendingRate;

    @ApiModelProperty(value = "采集器终端ip地址")
    private String ip;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "客户端创建时间")
    private LocalDateTime clientTime;

    @ApiModelProperty(value = "多个磁盘大小（单位：MB），当前使用量和总容量（单位：MB）")
    private String diskJson;


}
